% simulazione del modello di crescita logistica
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global r; global k;

r=1; k=1; Tfin=10;

figure(1); hold on;
axis([0 10 -0.05 1.5]);
xlabel('t'); ylabel('x');
ax = gca;
ax.FontSize=15;
pause;

x0=0.05;
[tempo,x] = ode45('modello_logistica',[0 Tfin],x0);
plot(tempo,x,'k');  
pause;

x0=0.5;
[tempo,x] = ode45('modello_logistica',[0 Tfin],x0);
plot(tempo,x,'k');  
pause;

x0=1.4;
[tempo,x] = ode45('modello_logistica',[0 Tfin],x0);
plot(tempo,x,'k');  
pause;

x0=1;
[tempo,x] = ode45('modello_logistica',[0 Tfin],x0);
plot(tempo,x,'g','LineWidth',2);
pause;

x0=0;
[tempo,x] = ode45('modello_logistica',[0 Tfin],x0);
plot(tempo,x,'r','LineWidth',2);