% simulazione del modello di cresctia logistica
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global r; global k; global a; global b; global E;

r=1; k=10; a=0.1; b=1;
Tfin=15;

figure(1); hold on;
axis([0 15 -0.5 12]);
xlabel('t'); ylabel('x');
ax = gca;
ax.FontSize=15;
text(12,5,'E=0.5','FontSize',16);
pause;

E=5;  % instabile+stabile
% isocline
% x1=[0:0.01:11]; y1=r*x1.*(1-x1/k); y2=a*x1*E./(b+x1);
% figure; plot(x1,y1); hold on; plot(x1,y2); axis([0 11 0 3]);
x0=11.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=2.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=0.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
% equilibri
x0=9.5250;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'g','LineWidth',2); pause;
% equilibri
x0=0;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'r','LineWidth',2); pause;
close;

figure(1); hold on;
axis([0 15 -0.5 12]);
xlabel('tempo'); ylabel('densit');
ax = gca;
ax.FontSize=15;
text(12,5,'E=25','FontSize',16);
pause;

E=25;  % stabile+instabile+stabile
% isocline
% x1=[0:0.01:11]; y1=r*x1.*(1-x1/k); y2=a*x1*E./(b+x1);
% figure; plot(x1,y1); hold on; plot(x1,y2); axis([0 11 0 3]);
x0=11.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=2.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=2;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
% equilibri
x0=6.7915;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'g','LineWidth',2); pause;
x0=0;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'g','LineWidth',2); pause;
x0=2.2086;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'r','LineWidth',2); pause;
close;

figure(1); hold on;
axis([0 20 -0.5 12]);
xlabel('tempo'); ylabel('densit');
ax = gca;
ax.FontSize=15;
text(17,5,'E=35','FontSize',16);
pause;

E=35;  % stabile
% isocline
% x1=[0:0.01:11]; y1=r*x1.*(1-x1/k); y2=a*x1*E./(b+x1);
% figure; plot(x1,y1); hold on; plot(x1,y2); axis([0 11 0 3]);
x0=11.5; Tfin=20;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=2.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
x0=0.5;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'k'); pause;
% equilibrio
x0=0;
[tempo,x] = ode45('modello_logistica_sfruttamento',[0 Tfin],x0);
plot(tempo,x,'g','LineWidth',2); pause;
close;

