% simulazione del modello di cresctia logistica
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global r; global k; global a; global b; global e; global m;

r=1; k=6; a=3; b=2; m=1;
Tfin=100;

opt=odeset('RelTol',1E-5,'AbsTol',1E-5);

figure(1); hold on;
axis([0 8 0 2]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(6,1.7,'e=0.2','FontSize',16);
pause;

e=0.2;  % estinzione predatore
x0=[2 1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[0.5 1.5];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7 1.2];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(k,0,'g.','MarkerSize',25); pause;

figure(2); hold on;
axis([0 8 0 2]);
xlabel('preda'); ylabel('predatore');
ax = gca;
ax.FontSize=15;
text(6,1.7,'e=0.5','FontSize',16);
pause;

e=0.5;  % coesistenza stazionaria
x0=[1.5 1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[0.5 1.5];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7 0.8];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7.8 0.2];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5.9 0.02];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
xeq=m*b/(e*a-m);yeq=r/a*(b+xeq)*(1-xeq/k);
plot(xeq,yeq,'g.','MarkerSize',25); pause;
plot(k,0,'b.','MarkerSize',25);
pause;

figure(3); hold on;
axis([0 8 0 3]);
xlabel('preda'); ylabel('predatore');
ax = gca;
ax.FontSize=15;
text(6,1.7,'e=0.9','FontSize',16);
pause;

e=0.9;  % coesistenza ciclica
x0=[1.5 1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
xin=x(length(x),:);[tempo_ciclo,ciclo] = ode45('modello_preda_predatore',[0 Tfin],xin,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5.9 0.02];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(ciclo(:,1),ciclo(:,2),'g','MarkerSize',15); pause;
plot(k,0,'b.','MarkerSize',25); pause;
xeq=m*b/(e*a-m);yeq=r/a*(b+xeq)*(1-xeq/k);
plot(xeq,yeq,'r.','MarkerSize',25); pause;

figure(4); hold on;
subplot(3,1,1); plot(tempo_ciclo,ciclo(:,1)); xlabel('t'); ylabel('x');
axis([0 60 0 5]);
ax = gca;
ax.FontSize=15;
subplot(3,1,2); plot(tempo_ciclo,ciclo(:,2),'r'); xlabel('t'); ylabel('y');
axis([0 60 0 5]);
ax = gca;
ax.FontSize=15;
subplot(3,1,3); plot(tempo_ciclo,ciclo); xlabel('t'); ylabel('x,y');
axis([0 60 0 5]);
ax = gca;
ax.FontSize=15;