% simulazione del modello di cresctia logistica
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global r; global k; global a; global b; global e; global m;
global d; global f; global H;

r=2; k=6; a=3; b=2; e=0.9; d=1; f=1;
Tfin=100;

opt=odeset('RelTol',1E-5,'AbsTol',1E-5);

m=1; H=2;
figure(1); hold on;
axis([0 8 0 3]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(6,1.7,'m=1  H=2','FontSize',16);
pause;
x0=[2 1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[0.5 1.5];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7 1.2];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(k,0,'g.','MarkerSize',25); pause;

m=1; H=1.8;
figure(2); hold on;
axis([0 8 0 3]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(6,1.7,'m=1  H=1.8','FontSize',16);
pause;
x0=[7.6 0.94];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7.6 0.87];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5 1.4];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5 1.6];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(k,0,'g.','MarkerSize',25); pause;
plot(3.43,1.55,'g.','MarkerSize',25); pause;
plot(4.55,1.05,'b.','MarkerSize',25); pause;

m=1; H=1.5;
figure(3); hold on;
axis([0 8 0 3]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(6,1.7,'m=1  H=1.5','FontSize',16);
pause;
x0=[7.6 0.56];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
xin=x(length(x),:);[tempo_ciclo,ciclo] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],xin,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[3 1.5];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7.6 0.46];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[6 1.2];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[6 1.63];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(k,0,'g.','MarkerSize',25); pause;
plot(ciclo(:,1),ciclo(:,2),'g','MarkerSize',15); pause;
plot(2.7,1.7,'r.','MarkerSize',25); pause;
plot(5.3,0.56,'b.','MarkerSize',25); pause;

m=1; H=0.8;
figure(4); hold on;
axis([0 8 0 4]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(5.7,1.7,'m=1  H=0.8','FontSize',16);
pause;
x0=[7.6 0.56];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
xin=x(length(x),:);[tempo_ciclo,ciclo] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],xin,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[2 1.5];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5.9 0.1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(ciclo(:,1),ciclo(:,2),'g','MarkerSize',15); pause;
plot(1.825,1.7744,'r.','MarkerSize',25); pause;
plot(k,0,'b.','MarkerSize',25); pause;

m=1.5; H=0.2;
figure(5); hold on;
axis([0 8 0 4]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(5.5,1.7,'m=1.5  H=0.2','FontSize',16);
pause;
x0=[6 1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[6 3];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[5.9 0.1];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(2.806,1.7066,'g.','MarkerSize',25); pause;
plot(k,0,'b.','MarkerSize',25); pause;

m=0.4; H=2.5;
figure(6); hold on;
axis([0 8 0 4]);
xlabel('x'); ylabel('y');
ax = gca;
ax.FontSize=15;
text(5.5,1.7,'m=0.4  H=2.5','FontSize',16);
pause;
x0=[1.9 1.7];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7.6 0.52];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[7.6 0.6];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[2.69 0.73];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
x0=[2.69 0.8];
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_preda_predatore_sfruttamento',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
plot(k,0,'g.','MarkerSize',25); pause;
plot(1.86,1.77,'r.','MarkerSize',25); pause;
plot(5.24,0.61,'b.','MarkerSize',25);
