% simulazione del modello preda-predatore-superpredatore
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global r; global k; 
global axx; global bx;
global ey; global my;
global ay; global by;
global ez; global mz;

r=1.5; k=1; 
axx=7/3; bx=1/3;
ey=1; my=0.4;
ay=0.05; by=0.5;
ez=1; mz=0.01;
Tfin=20000;

opt=odeset('RelTol',1E-5,'AbsTol',1E-5);

x0=[0.7 0.2 17];
[tempo,x] = ode45('modello_preda_predatore_superpredatore',[0 Tfin],x0,opt);
x0new=x(length(x),:);

figure(1);
subplot(3,1,1); plot(0,x0(1),'kx','MarkerSize',10); axis([0 1500 0 1.2]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('x'); hold on;
subplot(3,1,2); plot(0,x0(2),'kx','MarkerSize',10); axis([0 1500 0 0.7]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('y'); hold on;
subplot(3,1,3); plot(0,x0(3),'kx','MarkerSize',10); axis([0 1500 10 18]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('z'); hold on;
pause;
subplot(3,1,1); plot(tempo,x(:,1),'k');
subplot(3,1,2); plot(tempo,x(:,2),'k');
subplot(3,1,3); plot(tempo,x(:,3),'k');
pause;

figure(2); hold on;
axis([0 1.2 0 0.7 10 18]); grid;
xlabel('x'); ylabel('y'); zlabel('z');
ax = gca;
ax.FontSize=15;
plot3(x0(1),x0(2),x0(3),'kx','MarkerSize',10); grid on; view(3); pause;
perc=0.2/4;
plot3(x(1:floor(perc*length(x)),1),x(1:floor(perc*length(x)),2),x(1:floor(perc*length(x)),3),'k'); view(3);
pause;

% sensitivit alle condizioni iniziali
% cambio di poco la condizione iniziale
variaz=0.01;
x0N=(1-variaz)*x0;
[tempoN,xN] = ode45('modello_preda_predatore_superpredatore',[0 Tfin],x0N,opt);
figure(1);
subplot(3,1,1); plot(0,x0N(1),'ro','MarkerSize',3); axis([0 1500 0 1.2]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('x'); hold on;
subplot(3,1,2); plot(0,x0N(2),'ro','MarkerSize',3); axis([0 1500 0 0.7]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('y'); hold on;
subplot(3,1,3); plot(0,x0N(3),'ro','MarkerSize',3); axis([0 1500 10 18]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('z'); hold on;
pause;
subplot(3,1,1); plot(tempoN,xN(:,1),'r');
subplot(3,1,2); plot(tempoN,xN(:,2),'r');
subplot(3,1,3); plot(tempoN,xN(:,3),'r');
pause;

figure(2); hold on;
axis([0 1.2 0 0.7 10 18]); grid;
xlabel('x'); ylabel('y'); zlabel('z');
ax = gca;
ax.FontSize=15;
perc=0.2/4;
plot3(x0N(1),x0N(2),x0N(3),'ro','MarkerSize',3); grid on; view(3);
plot3(xN(1:floor(perc*length(x)),1),xN(1:floor(perc*length(x)),2),xN(1:floor(perc*length(x)),3),'r'); view(3);
pause;

% mappa picco - picco
figure(3);
subplot(3,1,1); plot(0,x0(1),'kx','MarkerSize',10); axis([0 1500 0 1.2]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('x'); hold on;
subplot(3,1,2); plot(0,x0(2),'kx','MarkerSize',10); axis([0 1500 0 0.7]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('y'); hold on;
subplot(3,1,3); plot(0,x0(3),'kx','MarkerSize',10); axis([0 1500 10 18]); ax = gca; ax.FontSize=15; xlabel('t'); ylabel('z'); hold on;
subplot(3,1,1); plot(tempo,x(:,1),'k');
subplot(3,1,2); plot(tempo,x(:,2),'k');
subplot(3,1,3); plot(tempo,x(:,3),'k');
pause;
[tmax,massimi] = findmax(tempo,x(:,2));
subplot(3,1,2); plot(tmax, massimi,'r.');
pause;
figure(4);
axis([0 0.7 0 0.7]); ax = gca; ax.FontSize=15; xlabel('y_k'); ylabel('y_{k+1}'); hold on;
% plot(massimi(1:length(massimi)-1),massimi(2:length(massimi)),'r.','MarkerSize','2');
plot(massimi(1:length(massimi)-1),massimi(2:length(massimi)),'r.');
pause;
plot([0 0.7],[0 0.7],'k');