% simulazione del modello di coppia (1 sicuro sinergico - 2 insicuro non
% sinergicoi)
clear all; close all;

% parametri, variabile di stato e orizzonte di simulazione
global alfa1;
global alfa2;
global A1;
global A2;
global R1m;
global R1p;
global s;
global soglia;

alfa1=0.2;
alfa2=0.1;
A1=0.05;
A2=0.05;
% R1m=-0.975;
% R1p=0.0975;
R1m=-0.1;
R1p=0.1;
soglia=1;

opt=odeset('RelTol',1E-5,'AbsTol',1E-5);
Tfin=1000;

s=3;    % relazione stazionaria
x0=[0 0];
figure(1); hold on;
axis([-0.2 1 -1 10]);
xlabel('x_1'); ylabel('x_2');
ax = gca;
ax.FontSize=15;
text(0.2,8,'s=3','FontSize',16);
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_love',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
figure(2); hold on;
subplot(2,1,1); plot(tempo,x(:,1)); xlabel('tempo'); ylabel('x_1');
axis([0 200 0 1]);
ax = gca;
ax.FontSize=15;
subplot(2,1,2); plot(tempo,x(:,2)); xlabel('tempo'); ylabel('x_2');
axis([0 200 0 11]);
ax = gca;
ax.FontSize=15;
pause;

s=4;    % relazione ciclica
x0=[0 0];
figure(3); hold on;
axis([-0.5 1.5 -2 11]);
xlabel('x_1'); ylabel('x_2');
ax = gca;
ax.FontSize=15;
text(0.2,8,'s=4','FontSize',16);
plot(x0(1),x0(2),'kx','MarkerSize',10); pause;
[tempo,x] = ode45('modello_love',[0 Tfin],x0,opt);
plot(x(:,1),x(:,2),'k'); pause;
figure(4); hold on;
subplot(2,1,1); plot(tempo,x(:,1)); xlabel('tempo'); ylabel('x_1');
axis([0 300 0 1.5]);
ax = gca;
ax.FontSize=15;
subplot(2,1,2); plot(tempo,x(:,2)); xlabel('tempo'); ylabel('x_2');
axis([0 300 -3 11]);
ax = gca;
ax.FontSize=15;

