close all; clear all;

%%%%%%%%%%%%%%%% STATO INIZIALE 0.1 %%%%%%%%%%%%%%%%
tfin=20;
stato=0.1;

for ind=2:tfin
    x=stato(ind-1);
    stato=[stato;1/(2-x)];
end;
% ------------------------
%%%%%%%%%%% MOVIMENTO %%%%%%%%%%%
figure(1); hold on;
plot(stato,'-*'); plot([0 20],[1 1],'k');
axis([0 20 0 2]);
xlabel( 't' );
ylabel( 'p' );
pause;
% ------------------------
%%%%%%%%%%% COSTRUZIONE DEL DIAGRAMMA DI MORAN "DINAMICO" %%%%%%%%%%%
tfin=10;
moran1=ones(2*tfin,1);
moran2=ones(2*tfin,1);
for h=1:tfin
    moran1(2*h-1)=stato(h);
    moran1(2*h)=stato(h);
end;
moran2=[0;moran1(3:2*tfin);1];
figure(2); hold on; % axis([0 2 0 1.5]);
x=0:0.01:1.5;
y=1./(2-x);
plot(x,y,'r');
plot(x,x,'k');
xlabel( 'p(t)' )
ylabel( 'p(t+1)' )
title('diagramma di Moran con transitorio');
for ind=1:length(moran1)-2
    plot([moran1(ind) moran1(ind+1)],[moran2(ind) moran2(ind+1)],'b-');
    pause(0.4)
end;
pause;
% -----------------
%%%%% transitorio verso l'attrattore
figure(3);
hold on;
axis([0 1.5 -1 1]);
plot([0 1.5],[0 0],'k');
axis('off');
text(1.5,-0.1,'p(t)');
text(0,-0.1,'0');
title('transitorio verso attrattore');
figure(3);plot(stato(1),0,'ro','markersize',5);
pause;
for ind=1:length(stato)
    figure(3);plot(stato(ind),0,'b*','markersize',15);
    pause(0.3);
end
pause;


%%%%%%%%%%%%%%%% STATO INIZIALE 1.1 %%%%%%%%%%%%%%%%
clear all;
tfin=10;
stato=1.1;

for ind=2:tfin
    x=stato(ind-1);
    stato=[stato;1/(2-x)];
end;
% ------------------------
%%%%%%%%%%% MOVIMENTO %%%%%%%%%%%
figure(1); hold on;
plot(stato,'r-*');
xlabel( 'tempo' );
ylabel( 'x(t)' );
pause;
% ------------------------
%%%%%%%%%%% COSTRUZIONE DEL DIAGRAMMA DI MORAN "DINAMICO" %%%%%%%%%%%
tfin=10;
moran1=ones(2*tfin,1);
moran2=ones(2*tfin,1);
for h=1:tfin
    moran1(2*h-1)=stato(h);
    moran1(2*h)=stato(h);
end;
moran2=[0;moran1(3:2*tfin);1];
figure(2); hold on; axis([0 2 0 1.5]);
x=0:0.01:1.5;
y=1./(2-x);
plot(x,y,'r');
plot(x,x,'k');
xlabel( 'x(t)' )
ylabel( 'x(t+1)' )
title('diagramma di Moran con transitorio');
for ind=1:length(moran1)-2
    plot([moran1(ind) moran1(ind+1)],[moran2(ind) moran2(ind+1)],'b-');
    pause(0.4)
end;
pause;
% -----------------
%%%%% transitorio verso l'attrattore
figure(3);
hold on;
axis([0 1.5 -1 1]);
plot([0 1.5],[0 0],'k');
axis('off');
text(1.5,-0.1,'x(t)');
text(0,-0.1,'0');
title('transitorio verso attrattore');
figure(3);plot(stato(1),0,'ro','markersize',5);
pause;
for ind=1:length(stato)
    figure(3);plot(stato(ind),0,'b*','markersize',15);
    pause(0.3);
end
